<main class="login">
    <section class="login__form__container">
       
    <app-title className="login__title" text="Registro"></app-title>
     <form autocomplete="off" (ngSubmit)="submitFormulario()" [formGroup]="miFormulario" class="form">
         <article class="form__label-input">
            <app-label text="Correo" className="email__label"></app-label>     
            <app-input className="input__email" type="email" [control]="$any(miFormulario.controls['email'])" placeholder="example@pragma.com.co"></app-input>  
            <app-label *ngIf="campoNoValido('email')" [text]="emailErrorMsg" className="error"></app-label>
         </article>
         

         <article class="form__label-input">
            <app-label text="Contraseña" className="password__label"></app-label>     
            <app-input className="input__password" type="password" [control]="$any(miFormulario.controls['password'])" placeholder="*********"></app-input> 
            <app-label *ngIf="campoNoValido('password')" text="La contraseña debe ser minimo de 6 caracteres" className="error"></app-label> 
        </article>
        
         <article class="form__label-input">
            <app-label text="Repetir contraseña" className="password__label"></app-label>     
            <app-input className="input__password" type="password" [control]="$any(miFormulario.controls['password2'])" placeholder="*********"></app-input> 
            <app-label *ngIf="campoNoValido('password2')" text="Las contraseñas deben ser iguales" className="error"></app-label> 
         </article>
         <app-button *ngIf="!loading" className="login primary-button" buttonType="submit">Registrarse</app-button>
         <app-button *ngIf="loading" className="login primary-button" [isDisable]="true" buttonType="submit">
            <i class="fa fa-spin fa-sync"></i>
            Cargando...
       </app-button>
     </form>
     <app-button className="signup secondary-button">Iniciar sesión</app-button>
    </section>

</main>
